﻿
    class Grade
    {
    private int total;
    private int obtained;
    public int GetTotal() { return total;}
    public int GetObtained() {return obtained;}

    private static int totalSoFar = 0;
    private static int obtainedSoFar = 0; 

    public Grade(int obtainedP, int totalP)
    {
        obtained = obtainedP;
        total = totalP;
        totalSoFar += totalP;
        obtainedSoFar += obtainedP;
    }

    public override string ToString()
    {
        return $"Your grade for this test is {obtained}/{total}, your grade so far is {obtainedSoFar}/{totalSoFar}";
    }

    public static double GetAverage (){
        return (double)obtainedSoFar / totalSoFar; // note that we need to cast one of the static attribute to obtain the "float division".
    }

    // The setters actually need some care, because we wanrt the static attributes to reflect the acurate nubmer of points obtained and total at all time. 
    public void SetTotal(int totalP)
    {
        totalSoFar -= total;
        total = totalP;
        totalSoFar += total;
    }
    public void SetObtained(int obtainedP)
    {
        obtainedSoFar -= obtained;
        obtained = obtainedP;
        obtainedSoFar += obtained;
    }

}

