﻿class Rectangle
{
    // We start by declaring our two intance variables / attributes
    private int length;
    private int width;

    // Accessors for the Length
    public void SetLength(int lengthParameter)
    {
        length = lengthParameter;
    }
    public int GetLength()
    {
        return length;
    }

    // Accessors for the Width
    public void SetWidth(int widthParameter)
    {
        width = widthParameter;
    }
    public int GetWidth()
    {
        return width;
    }

    // Method to compute the area of a rectangle
    public int ComputeArea()
    {
        return length * width;

    }

    // A method that returns the perimeter of the calling object.
    public int ComputePerimeter()
    {
        return length * 2 + width * 2;
    }

    // A method that double the heigt and the width of the calling object.
    public void DoubleRectangle()
    {
        width *= 2;
        length *= 2;
    }

    //  A method that swap the height and the width of the calling object.
    public void Swap()
    {
        int temp;
        temp = length;
        length = width;
        width = temp;
    }
}