﻿/*
 * Clément Aubert
 * 2018 09 18
 * CSCI 1301 -- Lab 10 -- Fall 2018
 */

using System;
    class Program
    {
        static void Main()
        {
        /*
         * Initial Set Up
         * Testing the setters by asking the user to provide values.
         */
        Room test1 = new Room();
        Console.WriteLine("What is the name of the room?");
        test1.SetName(Console.ReadLine()); // Note that this is an extremely compact way of doing it, without variable declaration.
        Console.WriteLine("What is the width of the room?");
        test1.SetWidth(double.Parse(Console.ReadLine()));
        Console.WriteLine("What is the length of the room?");
        test1.SetLength(double.Parse(Console.ReadLine()));
        Console.WriteLine(test1.GetName());

        /*
         * Adding Methods
         * We test the new constructor and the method that computes the area.
         */

        Room test2 = new Room("Test", 12.3, 13.4); // We are providing "random" values, don't pay attention to them.
        Console.WriteLine(test2.GetArea());

        /*
         * Internationalization of the Room Class
         * We test our new constructor and the method we wrote.
         */

        Room test3 = new Room(15, 18); // Those are measures in feet!
        test3.SetName("Test in feet");
        Console.WriteLine("The measurements in meters are: " +
            $"{test3.GetWidth()} x {test3.GetLength()} = {test3.GetArea()}\n" +
            "The measurements in feet are: " +
            $"{test3.GetWidthInFeet()} x {test3.GetLengthInFeet()} = {test3.GetAreaInFeet()}" +
            $" (which is the same result as given by our other method: {test3.GetAreaInFeetAlternate()}).\n");

        /*
         * A ToString Method
         * Note that the ToString method is called implicitely in the following statement.
         */

        Console.WriteLine(test3); // without the definition of a ToString method in the Room class, this would just display "Room".

    }
}

